KRES::Manager< T >::ActiveIterator Class Reference

`#include <manager.h>`

## Public Member Functions

| ActiveIterator (const ActiveIterator &it)
T * | operator* ()
ActiveIterator & | operator++ ()
ActiveIterator & | operator++ (int)
ActiveIterator & | operator-- ()
ActiveIterator & | operator-- (int)
bool | operator== (const ActiveIterator &it)
bool | operator!= (const ActiveIterator &it)

## Friends

class | Manager

## Detailed Description

### template<class T>
class KRES::Manager< T >::ActiveIterator

Iterator for iterations over only active resources managed by a manager.

Definition at line 127 of file manager.h.

The documentation for this class was generated from the following file:

- manager.h

KDE Home | KDE Accessibility Home | Description of Access Keys